Skip to main content
GET
/
api
/
v0
/
ssh
/
show ssh keys
curl --request GET \
  --url https://console.vast.ai/api/v0/ssh/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://console.vast.ai/api/v0/ssh/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://console.vast.ai/api/v0/ssh/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 123,
    "user_id": 123,
    "key": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Headers

Authorization
string
required

Bearer token for user authentication.

Response

A list of SSH keys.

id
integer

The unique identifier of the SSH key.

user_id
integer

The ID of the user to whom the SSH key belongs.

key
string

The SSH public key.

created_at
string<date-time>

The timestamp when the SSH key was created.

deleted_at
string<date-time> | null

The timestamp when the SSH key was deleted, if applicable.